### Function

# PangoCairo.context_get_shape_renderer

#### Declaration [src]

    PangoCairoShapeRendererFunc
    pango_cairo_context_get_shape_renderer (
      PangoContext* context,
      gpointer* data
    )

#### Description [src]

Sets callback function for context to use for rendering attributes of type `PANGO_ATTR_SHAPE`.

See `PangoCairoShapeRendererFunc` for details.

Retrieves callback function and associated user data for rendering attributes of type `PANGO_ATTR_SHAPE` as set by `pango_cairo_context_set_shape_renderer()`, if any.

#### Parameters

`context` | `PangoContext*`
| a `PangoContext`, from a pangocairo font map
| Ownership is not transferred to the callee
`data` | `gpointer*`
| Pointer to #gpointer to return user data
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoCairoShapeRendererFunc`
the shape rendering callback previously set on the context, or `NULL` if no shape rendering callback have been set.